Last modified: 2011-03-25 18:25:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27171 - [Installer] Incorrect error message during extension installation
[Installer] Incorrect error message during extension installation
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.18.x
All All
: High critical (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 26676
  Show dependency treegraph
 
Reported: 2011-02-05 01:14 UTC by Mark A. Hershberger
Modified: 2011-03-25 18:25 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark A. Hershberger 2011-02-05 01:14:50 UTC
Wanting to test the RSS extension that I worked on, I selected it during installation.  Despite the fact that RSSHooks::parserInit returns true, I got the following error message:

> Detected bug in an extension! Hook RSSHooks::parserInit failed to return a
> value; should return true to continue hook processing or false to abort.
Comment 1 Mark A. Hershberger 2011-02-05 01:36:56 UTC
Similar problem for LQT even when I move the includeExtensions step to the end:

> Creating tables for enabled extensions...
>
> Detected bug in an extension! Hook LqtHooks::onLoadExtensionSchemaUpdates
> failed to return a value; should return true to continue hook processing or
> false to abort.
Comment 2 Chad H. 2011-03-01 17:59:49 UTC
Well now we only have to worry about LoadExtensionSchemaUpdates since r83023 :)
Comment 3 Chad H. 2011-03-20 18:27:29 UTC
Bumping priority, this isn't an enhancement.
Comment 4 Siebrand Mazeland 2011-03-20 18:28:04 UTC
Also surfacing using Maps extension with Validator extension: "Hook ValidatorListErrors::staticMagic failed to return a value; should return true to continue hook processing or false to abort."

Raising importance.
Comment 5 Max Semenik 2011-03-25 18:25:34 UTC
Fixed in r84755.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links